Package com.orchestranetworks.ui

# Interface UIServiceComponentWriter

All Superinterfaces:
  `UIBodyWriter`, `UIComponentWriter`, `UIDependencyRegisterer`, `UIJavaScriptWriter`, `UIResourceLocator`, `UISessionContext`

@Deprecated public interface UIServiceComponentWriter extends UIComponentWriter
Deprecated.
From release 6.0, this API is no longer supported. The new `UserService` API should be used instead.
This interface allows building standard EBX® components, from a `ServiceContext`.

Please refer to the current documentation on user services for more information.

An instance of this interface can be obtained from `ServiceContext.getUIComponentWriter()` or `ServiceContext.getUIComponentWriterForJSP(JspWriter)`.

Since:
  5.2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UIServiceComponentWriter`
  `addButtonSubmit(UIButtonSpecSubmit aButtonSpec)`
  Deprecated.
  Adds an HTML submit button.
  `void`
  `addSubSubtitle(UserMessage aMessage)`
  Deprecated.
  Adds a title under `subtitle` level.
  `void`
  `addSubtitle(UserMessage aMessage)`
  Deprecated.
  Adds a subtitle in the page.
  `void`
  `endForm()`
  Deprecated.
  End the form that was previously started.
  `void`
  `startForm(UIFormSpec aFormSpec)`
  Deprecated.
  Starts a new form.

  ### Methods inherited from interface com.orchestranetworks.ui.UIBodyWriter

  `add, add, add, add_cr, add_cr, addSafeAttribute, addSafeAttribute, addSafeInnerHTML, addSafeInnerHTML`

  ### Methods inherited from interface com.orchestranetworks.ui.UIComponentWriter

  `addButtonHelp, addButtonJavaScript, addButtonJavaScriptToggle, addUILabel, addUserAvatar, buildButtonPreview, buildButtonPreview, buildButtonPreview, endBorder, endExpandCollapseBlock, endFormGroup, endFormRow, endTableFormRow, newExpandCollapseBlock, newFormGroup, newFormRow, startBorder, startBorder, startBorder, startExpandCollapseBlock, startExpandCollapseBlock, startFormGroup, startFormGroup, startFormRow, startFormRow, startFormRow, startFormRow, startTableFormRow`

  ### Methods inherited from interface com.orchestranetworks.ui.UIDependencyRegisterer

  `addJavaScriptDependency`

  ### Methods inherited from interface com.orchestranetworks.ui.UIJavaScriptWriter

  `addJS, addJS_addResizeWorkspaceListener, addJS_cr, addJS_cr, addJS_openPreviewImage, addJS_openPreviewImageFromVar, addJS_setButtonDisabled, addJS_setExpandCollapseBlockExpanded, addJS_setStateToToggleButton, addJS_switchToPerspective, addJS_switchToPerspectiveAction`

  ### Methods inherited from interface com.orchestranetworks.ui.UIResourceLocator

  `createWebComponentForRootSession, createWebComponentForSubSession, getURLForAjaxComponent, getURLForAjaxComponent, getURLForPerspectiveSelection, getURLForPerspectiveSelection, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForResource, getURLForRest, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForSelection, getURLForViewSelection`

  ### Methods inherited from interface com.orchestranetworks.ui.UISessionContext

  `getLocale, getSession`

- ## Method Details

  - ### startForm

    void startForm(UIFormSpec aFormSpec)
    Deprecated.
    Starts a new form.

    Caution:

    - Set all the properties you want in the `UIFormSpec` before calling `startForm(UIFormSpec)`.
    - Ensure that the form is ended.
    - If the form contains a bottom bar, no content (HTML code) is allowed before or after the form.
    Parameters:
      `aFormSpec` - the specification for the form.
    Throws:
      `IllegalStateException` - if the form was already started.

  - ### endForm

    void endForm()
    Deprecated.
    End the form that was previously started.
    Throws:
      `IllegalStateException` - if the form was not started

  - ### addButtonSubmit

    UIServiceComponentWriter addButtonSubmit(UIButtonSpecSubmit aButtonSpec)
    Deprecated.
    Adds an HTML submit button.
    Parameters:
      `aButtonSpec` - a button specification
    Since:
      5.3.0
    See Also:
      - `UIFormSpec.setURLForAction(String)`

  - ### addSubtitle

    void addSubtitle(UserMessage aMessage)
    Deprecated.
    Adds a subtitle in the page. This is equivalent to HTML `<h3>`.

    The label of the user service is in the header of the workspace. All titles added in the page are considered as subtitles.

    The label of the user service in the header of the workspace can be changed with `ServiceContext.setTitle(UserMessage)`.

    Parameters:
      `aMessage` - the text of the subtitle.

  - ### addSubSubtitle

    void addSubSubtitle(UserMessage aMessage)
    Deprecated.
    Adds a title under `subtitle` level. This is equivalent to HTML `<h4>`.
    Parameters:
      `aMessage` - the text of the sub-subtitle.